Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 505965 - Review Request: supybot-meetbot - Plugin for Supybot for handling IRC meetings
Summary: Review Request: supybot-meetbot - Plugin for Supybot for handling IRC meetings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-15 00:44 UTC by Kevin Fenzi
Modified: 2014-11-12 23:02 UTC (History)
3 users (show)

Fixed In Version: 0.1.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-07 15:28:21 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Fenzi 2009-06-15 00:44:14 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/supybot-meetbot/supybot-meetbot.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/supybot-meetbot/supybot-meetbot-0-0.1.20090614darcs.fc12.src.rpm
Description: 

MeatBot is designed to assist in running meetings, taking notes, and so on.
It is in pure python, as a plugin to supybot. However, there is a clear
distinction between meeting-code and IRC-code, so it should be relatively
easy to port to other bots. It is under the supybot license (3-clause BSD).

There has not been a formal release yet, but upstream is ok with just packaging up a darcs checkout version now.

Comment 1 Parag AN(पराग) 2009-06-15 06:49:16 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1414340
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Should:
1) change %define to %global
APPROVED.

Comment 2 Kevin Fenzi 2009-06-16 01:38:30 UTC
Thanks for the quick review!

I've talked to the upstream author and he's going to make a number of enhancements in the next few days. I am going to wait for those to land before importing this. 

Thanks again.

Comment 3 Parag AN(पराग) 2009-07-01 07:09:04 UTC
Got any updates from upstream?

Comment 4 Kevin Fenzi 2009-07-01 15:31:37 UTC
Yeah, sorry for the delay here. ;( 

He has just checked in a bunch of changes to his devel branch that he wants me to test before landing in stable. I will try and do that in the next few days and hopefully thats the version I can get imported. 

If not, he did tag version 0.1 in the stable repo with what we have now, so I can just check that in if there are problems with the new changes. :) 

Sorry again for the delay.

Comment 5 Kevin Fenzi 2009-07-07 03:44:05 UTC
ok, upstream just pushed out version 0.1.1. ;) 

This is what I will be importing: 

Spec URL:
http://www.scrye.com/~kevin/fedora/supybot-meetbot/supybot-meetbot.spec
SRPM URL:
http://www.scrye.com/~kevin/fedora/supybot-meetbot/supybot-meetbot-0.1.1-1.fc12.src.rpm

New Package CVS Request
=======================
Package Name: supybot-meetbot 
Short Description: Plugin for Supybot for handling IRC meetings
Owners: kevin
Branches: devel F-11 EL-5
InitialCC:

Comment 6 Kevin Fenzi 2009-07-07 04:02:00 UTC
cvs done.

Comment 7 Fedora Update System 2009-07-07 04:50:54 UTC
supybot-meetbot-0.1.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/supybot-meetbot-0.1.1-1.fc11

Comment 8 Fedora Update System 2009-07-07 04:54:13 UTC
supybot-meetbot-0.1.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/supybot-meetbot-0.1.1-1.el5

Comment 9 Fedora Update System 2009-07-07 06:43:23 UTC
supybot-meetbot-0.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/supybot-meetbot-0.1.1-2.fc11

Comment 10 Fedora Update System 2009-07-07 06:48:15 UTC
supybot-meetbot-0.1.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/supybot-meetbot-0.1.1-2.el5

Comment 11 Parag AN(पराग) 2009-07-07 07:10:29 UTC
I am sorry kevin that I seem to overlooked at spec and approved with wrong install location.
Thanks for fixing this immediately.

Comment 12 Kevin Fenzi 2009-07-07 15:28:21 UTC
No problem. Totally my fault for not checking it more before I imported. ;( 

Anyhow, it's all set now...

Comment 13 Fedora Update System 2009-07-15 18:10:58 UTC
supybot-meetbot-0.1.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/supybot-meetbot-0.1.2-1.fc11

Comment 14 Fedora Update System 2009-07-15 18:19:06 UTC
supybot-meetbot-0.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/supybot-meetbot-0.1.2-1.el5

Comment 15 Fedora Update System 2009-08-04 02:28:44 UTC
supybot-meetbot-0.1.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-08-05 00:30:54 UTC
supybot-meetbot-0.1.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Kevin Fenzi 2014-11-12 22:20:19 UTC
Package Change Request
======================
Package Name: supybot-meetbot
New Branches: epel7
Owners: kevin
InitialCC:

Comment 18 Gwyn Ciesla 2014-11-12 23:02:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.